import { GraphQLClient } from 'graphql-request';
export type ConfirmEmailData = {
    address: string;
    token: string;
};
export type ConfirmEmailResponse = {
    isConfirmed: boolean;
    isTokenExpired: boolean;
    isTokenInvalid: boolean;
};
export declare function confirmEmail(client: GraphQLClient, userData: ConfirmEmailData): Promise<ConfirmEmailResponse>;
