import Te, { useState as R, createContext as Oe, useMemo as z, useCallback as _, useEffect as D, useContext as Ue } from "react";
import { useQueryClient as ve, useQuery as Le } from "@tanstack/react-query";
import { gql as T, GraphQLClient as Ce } from "graphql-request";
import { useAccount as Je, useChainId as ke, useSignMessage as Ne } from "wagmi";
import { GraphQLError as V } from "graphql";
new TextEncoder();
const ge = new TextDecoder(), Me = (e) => {
  const t = atob(e), n = new Uint8Array(t.length);
  for (let r = 0; r < t.length; r++)
    n[r] = t.charCodeAt(r);
  return n;
}, We = (e) => {
  let t = e;
  t instanceof Uint8Array && (t = ge.decode(t)), t = t.replace(/-/g, "+").replace(/_/g, "/").replace(/\s/g, "");
  try {
    return Me(t);
  } catch {
    throw new TypeError("The input to be decoded is not correctly encoded.");
  }
};
class m extends Error {
  constructor(t, n) {
    var r;
    super(t, n), this.code = "ERR_JOSE_GENERIC", this.name = this.constructor.name, (r = Error.captureStackTrace) == null || r.call(Error, this, this.constructor);
  }
}
m.code = "ERR_JOSE_GENERIC";
class ze extends m {
  constructor(t, n, r = "unspecified", s = "unspecified") {
    super(t, { cause: { claim: r, reason: s, payload: n } }), this.code = "ERR_JWT_CLAIM_VALIDATION_FAILED", this.claim = r, this.reason = s, this.payload = n;
  }
}
ze.code = "ERR_JWT_CLAIM_VALIDATION_FAILED";
class De extends m {
  constructor(t, n, r = "unspecified", s = "unspecified") {
    super(t, { cause: { claim: r, reason: s, payload: n } }), this.code = "ERR_JWT_EXPIRED", this.claim = r, this.reason = s, this.payload = n;
  }
}
De.code = "ERR_JWT_EXPIRED";
class Pe extends m {
  constructor() {
    super(...arguments), this.code = "ERR_JOSE_ALG_NOT_ALLOWED";
  }
}
Pe.code = "ERR_JOSE_ALG_NOT_ALLOWED";
class Fe extends m {
  constructor() {
    super(...arguments), this.code = "ERR_JOSE_NOT_SUPPORTED";
  }
}
Fe.code = "ERR_JOSE_NOT_SUPPORTED";
class Be extends m {
  constructor(t = "decryption operation failed", n) {
    super(t, n), this.code = "ERR_JWE_DECRYPTION_FAILED";
  }
}
Be.code = "ERR_JWE_DECRYPTION_FAILED";
class Ve extends m {
  constructor() {
    super(...arguments), this.code = "ERR_JWE_INVALID";
  }
}
Ve.code = "ERR_JWE_INVALID";
class Ke extends m {
  constructor() {
    super(...arguments), this.code = "ERR_JWS_INVALID";
  }
}
Ke.code = "ERR_JWS_INVALID";
class x extends m {
  constructor() {
    super(...arguments), this.code = "ERR_JWT_INVALID";
  }
}
x.code = "ERR_JWT_INVALID";
class He extends m {
  constructor() {
    super(...arguments), this.code = "ERR_JWK_INVALID";
  }
}
He.code = "ERR_JWK_INVALID";
class je extends m {
  constructor() {
    super(...arguments), this.code = "ERR_JWKS_INVALID";
  }
}
je.code = "ERR_JWKS_INVALID";
class qe extends m {
  constructor(t = "no applicable key found in the JSON Web Key Set", n) {
    super(t, n), this.code = "ERR_JWKS_NO_MATCHING_KEY";
  }
}
qe.code = "ERR_JWKS_NO_MATCHING_KEY";
class Ge extends m {
  constructor(t = "multiple matching keys found in the JSON Web Key Set", n) {
    super(t, n), this.code = "ERR_JWKS_MULTIPLE_MATCHING_KEYS";
  }
}
Ge.code = "ERR_JWKS_MULTIPLE_MATCHING_KEYS";
class Xe extends m {
  constructor(t = "request timed out", n) {
    super(t, n), this.code = "ERR_JWKS_TIMEOUT";
  }
}
Xe.code = "ERR_JWKS_TIMEOUT";
class Ze extends m {
  constructor(t = "signature verification failed", n) {
    super(t, n), this.code = "ERR_JWS_SIGNATURE_VERIFICATION_FAILED";
  }
}
Ze.code = "ERR_JWS_SIGNATURE_VERIFICATION_FAILED";
function Ye(e) {
  return typeof e == "object" && e !== null;
}
function Qe(e) {
  if (!Ye(e) || Object.prototype.toString.call(e) !== "[object Object]")
    return !1;
  if (Object.getPrototypeOf(e) === null)
    return !0;
  let t = e;
  for (; Object.getPrototypeOf(t) !== null; )
    t = Object.getPrototypeOf(t);
  return Object.getPrototypeOf(e) === t;
}
const et = We;
function re(e) {
  if (typeof e != "string")
    throw new x("JWTs must use Compact JWS serialization, JWT must be a string");
  const { 1: t, length: n } = e.split(".");
  if (n === 5)
    throw new x("Only JWTs using Compact JWS serialization can be decoded");
  if (n !== 3)
    throw new x("Invalid JWT");
  if (!t)
    throw new x("JWTs must contain a payload");
  let r;
  try {
    r = et(t);
  } catch {
    throw new x("Failed to base64url decode the payload");
  }
  let s;
  try {
    s = JSON.parse(ge.decode(r));
  } catch {
    throw new x("Failed to parse the decoded payload as JSON");
  }
  if (!Qe(s))
    throw new x("Invalid JWT Claims Set");
  return s;
}
const tt = T`
  mutation Login($message: String!, $signature: String!) {
    login(message: $message, signature: $signature)
  }
`;
async function nt(e, t) {
  const n = {
    message: t.message,
    signature: t.signature
  };
  return e.request(tt, n).then(async (r) => r.login.accessToken).catch((r) => {
    var i, o;
    console.log("Authorization error:", { errors: r });
    const s = Array.isArray((i = r == null ? void 0 : r.response) == null ? void 0 : i.errors) ? (o = r.response.errors[0]) == null ? void 0 : o.message : "Unknown error";
    throw new Error(s);
  });
}
const rt = T`
  mutation GetNonce($address: Address!) {
    nonce(address: $address)
  }
`;
async function st(e, t) {
  const n = {
    address: t
  };
  return e.request(rt, n).then((r) => r.nonce).catch((r) => {
    var i, o;
    console.log("Error fetching nonce for address:", t, { errors: r });
    const s = Array.isArray((i = r == null ? void 0 : r.response) == null ? void 0 : i.errors) ? (o = r.response.errors[0]) == null ? void 0 : o.message : "Error fetching nonce";
    throw Error(s);
  });
}
function se(e) {
  if (!Number.isSafeInteger(e) || e < 0)
    throw new Error(`positive integer expected, not ${e}`);
}
function it(e) {
  return e instanceof Uint8Array || e != null && typeof e == "object" && e.constructor.name === "Uint8Array";
}
function K(e, ...t) {
  if (!it(e))
    throw new Error("Uint8Array expected");
  if (t.length > 0 && !t.includes(e.length))
    throw new Error(`Uint8Array expected of length ${t}, not of length=${e.length}`);
}
function ie(e, t = !0) {
  if (e.destroyed)
    throw new Error("Hash instance has been destroyed");
  if (t && e.finished)
    throw new Error("Hash#digest() has already been called");
}
function ot(e, t) {
  K(e);
  const n = t.outputLen;
  if (e.length < n)
    throw new Error(`digestInto() expects output buffer of length at least ${n}`);
}
const k = /* @__PURE__ */ BigInt(2 ** 32 - 1), oe = /* @__PURE__ */ BigInt(32);
function ct(e, t = !1) {
  return t ? { h: Number(e & k), l: Number(e >> oe & k) } : { h: Number(e >> oe & k) | 0, l: Number(e & k) | 0 };
}
function at(e, t = !1) {
  let n = new Uint32Array(e.length), r = new Uint32Array(e.length);
  for (let s = 0; s < e.length; s++) {
    const { h: i, l: o } = ct(e[s], t);
    [n[s], r[s]] = [i, o];
  }
  return [n, r];
}
const ut = (e, t, n) => e << n | t >>> 32 - n, ft = (e, t, n) => t << n | e >>> 32 - n, lt = (e, t, n) => t << n - 32 | e >>> 64 - n, dt = (e, t, n) => e << n - 32 | t >>> 64 - n;
/*! noble-hashes - MIT License (c) 2022 Paul Miller (paulmillr.com) */
const ht = (e) => new Uint32Array(e.buffer, e.byteOffset, Math.floor(e.byteLength / 4)), ce = new Uint8Array(new Uint32Array([287454020]).buffer)[0] === 68, gt = (e) => e << 24 & 4278190080 | e << 8 & 16711680 | e >>> 8 & 65280 | e >>> 24 & 255;
function ae(e) {
  for (let t = 0; t < e.length; t++)
    e[t] = gt(e[t]);
}
function mt(e) {
  if (typeof e != "string")
    throw new Error(`utf8ToBytes expected string, got ${typeof e}`);
  return new Uint8Array(new TextEncoder().encode(e));
}
function me(e) {
  return typeof e == "string" && (e = mt(e)), K(e), e;
}
class pt {
  // Safe version that clones internal state
  clone() {
    return this._cloneInto();
  }
}
function wt(e) {
  const t = (r) => e().update(me(r)).digest(), n = e();
  return t.outputLen = n.outputLen, t.blockLen = n.blockLen, t.create = () => e(), t;
}
const pe = [], we = [], Ee = [], Et = /* @__PURE__ */ BigInt(0), v = /* @__PURE__ */ BigInt(1), yt = /* @__PURE__ */ BigInt(2), It = /* @__PURE__ */ BigInt(7), bt = /* @__PURE__ */ BigInt(256), At = /* @__PURE__ */ BigInt(113);
for (let e = 0, t = v, n = 1, r = 0; e < 24; e++) {
  [n, r] = [r, (2 * n + 3 * r) % 5], pe.push(2 * (5 * r + n)), we.push((e + 1) * (e + 2) / 2 % 64);
  let s = Et;
  for (let i = 0; i < 7; i++)
    t = (t << v ^ (t >> It) * At) % bt, t & yt && (s ^= v << (v << /* @__PURE__ */ BigInt(i)) - v);
  Ee.push(s);
}
const [St, xt] = /* @__PURE__ */ at(Ee, !0), ue = (e, t, n) => n > 32 ? lt(e, t, n) : ut(e, t, n), fe = (e, t, n) => n > 32 ? dt(e, t, n) : ft(e, t, n);
function $t(e, t = 24) {
  const n = new Uint32Array(10);
  for (let r = 24 - t; r < 24; r++) {
    for (let o = 0; o < 10; o++)
      n[o] = e[o] ^ e[o + 10] ^ e[o + 20] ^ e[o + 30] ^ e[o + 40];
    for (let o = 0; o < 10; o += 2) {
      const c = (o + 8) % 10, u = (o + 2) % 10, h = n[u], g = n[u + 1], b = ue(h, g, 1) ^ n[c], A = fe(h, g, 1) ^ n[c + 1];
      for (let l = 0; l < 50; l += 10)
        e[o + l] ^= b, e[o + l + 1] ^= A;
    }
    let s = e[2], i = e[3];
    for (let o = 0; o < 24; o++) {
      const c = we[o], u = ue(s, i, c), h = fe(s, i, c), g = pe[o];
      s = e[g], i = e[g + 1], e[g] = u, e[g + 1] = h;
    }
    for (let o = 0; o < 50; o += 10) {
      for (let c = 0; c < 10; c++)
        n[c] = e[o + c];
      for (let c = 0; c < 10; c++)
        e[o + c] ^= ~n[(c + 2) % 10] & n[(c + 4) % 10];
    }
    e[0] ^= St[r], e[1] ^= xt[r];
  }
  n.fill(0);
}
class H extends pt {
  // NOTE: we accept arguments in bytes instead of bits here.
  constructor(t, n, r, s = !1, i = 24) {
    if (super(), this.blockLen = t, this.suffix = n, this.outputLen = r, this.enableXOF = s, this.rounds = i, this.pos = 0, this.posOut = 0, this.finished = !1, this.destroyed = !1, se(r), 0 >= this.blockLen || this.blockLen >= 200)
      throw new Error("Sha3 supports only keccak-f1600 function");
    this.state = new Uint8Array(200), this.state32 = ht(this.state);
  }
  keccak() {
    ce || ae(this.state32), $t(this.state32, this.rounds), ce || ae(this.state32), this.posOut = 0, this.pos = 0;
  }
  update(t) {
    ie(this);
    const { blockLen: n, state: r } = this;
    t = me(t);
    const s = t.length;
    for (let i = 0; i < s; ) {
      const o = Math.min(n - this.pos, s - i);
      for (let c = 0; c < o; c++)
        r[this.pos++] ^= t[i++];
      this.pos === n && this.keccak();
    }
    return this;
  }
  finish() {
    if (this.finished)
      return;
    this.finished = !0;
    const { state: t, suffix: n, pos: r, blockLen: s } = this;
    t[r] ^= n, n & 128 && r === s - 1 && this.keccak(), t[s - 1] ^= 128, this.keccak();
  }
  writeInto(t) {
    ie(this, !1), K(t), this.finish();
    const n = this.state, { blockLen: r } = this;
    for (let s = 0, i = t.length; s < i; ) {
      this.posOut >= r && this.keccak();
      const o = Math.min(r - this.posOut, i - s);
      t.set(n.subarray(this.posOut, this.posOut + o), s), this.posOut += o, s += o;
    }
    return t;
  }
  xofInto(t) {
    if (!this.enableXOF)
      throw new Error("XOF is not possible for this instance");
    return this.writeInto(t);
  }
  xof(t) {
    return se(t), this.xofInto(new Uint8Array(t));
  }
  digestInto(t) {
    if (ot(t, this), this.finished)
      throw new Error("digest() was already called");
    return this.writeInto(t), this.destroy(), t;
  }
  digest() {
    return this.digestInto(new Uint8Array(this.outputLen));
  }
  destroy() {
    this.destroyed = !0, this.state.fill(0);
  }
  _cloneInto(t) {
    const { blockLen: n, suffix: r, outputLen: s, rounds: i, enableXOF: o } = this;
    return t || (t = new H(n, r, s, o, i)), t.state32.set(this.state32), t.pos = this.pos, t.posOut = this.posOut, t.finished = this.finished, t.rounds = i, t.suffix = r, t.outputLen = s, t.enableXOF = o, t.destroyed = this.destroyed, t;
  }
}
const _t = (e, t, n) => wt(() => new H(t, e, n)), Rt = /* @__PURE__ */ _t(1, 136, 256 / 8);
function j(e, { strict: t = !0 } = {}) {
  return !e || typeof e != "string" ? !1 : t ? /^0x[0-9a-fA-F]*$/.test(e) : e.startsWith("0x");
}
const ye = "2.21.50";
let L = {
  getDocsUrl: ({ docsBaseUrl: e, docsPath: t = "", docsSlug: n }) => t ? `${e ?? "https://viem.sh"}${t}${n ? `#${n}` : ""}` : void 0,
  version: `viem@${ye}`
};
class I extends Error {
  constructor(t, n = {}) {
    var c;
    const r = (() => {
      var u;
      return n.cause instanceof I ? n.cause.details : (u = n.cause) != null && u.message ? n.cause.message : n.details;
    })(), s = n.cause instanceof I && n.cause.docsPath || n.docsPath, i = (c = L.getDocsUrl) == null ? void 0 : c.call(L, { ...n, docsPath: s }), o = [
      t || "An error occurred.",
      "",
      ...n.metaMessages ? [...n.metaMessages, ""] : [],
      ...i ? [`Docs: ${i}`] : [],
      ...r ? [`Details: ${r}`] : [],
      ...L.version ? [`Version: ${L.version}`] : []
    ].join(`
`);
    super(o, n.cause ? { cause: n.cause } : void 0), Object.defineProperty(this, "details", {
      enumerable: !0,
      configurable: !0,
      writable: !0,
      value: void 0
    }), Object.defineProperty(this, "docsPath", {
      enumerable: !0,
      configurable: !0,
      writable: !0,
      value: void 0
    }), Object.defineProperty(this, "metaMessages", {
      enumerable: !0,
      configurable: !0,
      writable: !0,
      value: void 0
    }), Object.defineProperty(this, "shortMessage", {
      enumerable: !0,
      configurable: !0,
      writable: !0,
      value: void 0
    }), Object.defineProperty(this, "version", {
      enumerable: !0,
      configurable: !0,
      writable: !0,
      value: void 0
    }), Object.defineProperty(this, "name", {
      enumerable: !0,
      configurable: !0,
      writable: !0,
      value: "BaseError"
    }), this.details = r, this.docsPath = s, this.metaMessages = n.metaMessages, this.name = n.name ?? this.name, this.shortMessage = t, this.version = ye;
  }
  walk(t) {
    return Ie(this, t);
  }
}
function Ie(e, t) {
  return t != null && t(e) ? e : e && typeof e == "object" && "cause" in e && e.cause !== void 0 ? Ie(e.cause, t) : t ? null : e;
}
class be extends I {
  constructor({ size: t, targetSize: n, type: r }) {
    super(`${r.charAt(0).toUpperCase()}${r.slice(1).toLowerCase()} size (${t}) exceeds padding size (${n}).`, { name: "SizeExceedsPaddingSizeError" });
  }
}
function N(e, { dir: t, size: n = 32 } = {}) {
  return typeof e == "string" ? Tt(e, { dir: t, size: n }) : Ot(e, { dir: t, size: n });
}
function Tt(e, { dir: t, size: n = 32 } = {}) {
  if (n === null)
    return e;
  const r = e.replace("0x", "");
  if (r.length > n * 2)
    throw new be({
      size: Math.ceil(r.length / 2),
      targetSize: n,
      type: "hex"
    });
  return `0x${r[t === "right" ? "padEnd" : "padStart"](n * 2, "0")}`;
}
function Ot(e, { dir: t, size: n = 32 } = {}) {
  if (n === null)
    return e;
  if (e.length > n)
    throw new be({
      size: e.length,
      targetSize: n,
      type: "bytes"
    });
  const r = new Uint8Array(n);
  for (let s = 0; s < n; s++) {
    const i = t === "right";
    r[i ? s : n - s - 1] = e[i ? s : e.length - s - 1];
  }
  return r;
}
class Ut extends I {
  constructor({ max: t, min: n, signed: r, size: s, value: i }) {
    super(`Number "${i}" is not in safe ${s ? `${s * 8}-bit ${r ? "signed" : "unsigned"} ` : ""}integer range ${t ? `(${n} to ${t})` : `(above ${n})`}`, { name: "IntegerOutOfRangeError" });
  }
}
class vt extends I {
  constructor({ givenSize: t, maxSize: n }) {
    super(`Size cannot exceed ${n} bytes. Given size: ${t} bytes.`, { name: "SizeOverflowError" });
  }
}
function le(e) {
  return j(e, { strict: !1 }) ? Math.ceil((e.length - 2) / 2) : e.length;
}
function q(e, { size: t }) {
  if (le(e) > t)
    throw new vt({
      givenSize: le(e),
      maxSize: t
    });
}
function Lt(e, t = {}) {
  const { signed: n, size: r } = t, s = BigInt(e);
  let i;
  r ? n ? i = (1n << BigInt(r) * 8n - 1n) - 1n : i = 2n ** (BigInt(r) * 8n) - 1n : typeof e == "number" && (i = BigInt(Number.MAX_SAFE_INTEGER));
  const o = typeof i == "bigint" && n ? -i - 1n : 0;
  if (i && s > i || s < o) {
    const u = typeof e == "bigint" ? "n" : "";
    throw new Ut({
      max: i ? `${i}${u}` : void 0,
      min: `${o}${u}`,
      signed: n,
      size: r,
      value: `${e}${u}`
    });
  }
  const c = `0x${(n && s < 0 ? (1n << BigInt(r * 8)) + BigInt(s) : s).toString(16)}`;
  return r ? N(c, { size: r }) : c;
}
const Ct = /* @__PURE__ */ new TextEncoder();
function Jt(e, t = {}) {
  return typeof e == "number" || typeof e == "bigint" ? Nt(e, t) : typeof e == "boolean" ? kt(e, t) : j(e) ? Ae(e, t) : Se(e, t);
}
function kt(e, t = {}) {
  const n = new Uint8Array(1);
  return n[0] = Number(e), typeof t.size == "number" ? (q(n, { size: t.size }), N(n, { size: t.size })) : n;
}
const y = {
  zero: 48,
  nine: 57,
  A: 65,
  F: 70,
  a: 97,
  f: 102
};
function de(e) {
  if (e >= y.zero && e <= y.nine)
    return e - y.zero;
  if (e >= y.A && e <= y.F)
    return e - (y.A - 10);
  if (e >= y.a && e <= y.f)
    return e - (y.a - 10);
}
function Ae(e, t = {}) {
  let n = e;
  t.size && (q(n, { size: t.size }), n = N(n, { dir: "right", size: t.size }));
  let r = n.slice(2);
  r.length % 2 && (r = `0${r}`);
  const s = r.length / 2, i = new Uint8Array(s);
  for (let o = 0, c = 0; o < s; o++) {
    const u = de(r.charCodeAt(c++)), h = de(r.charCodeAt(c++));
    if (u === void 0 || h === void 0)
      throw new I(`Invalid byte sequence ("${r[c - 2]}${r[c - 1]}" in "${r}").`);
    i[o] = u * 16 + h;
  }
  return i;
}
function Nt(e, t) {
  const n = Lt(e, t);
  return Ae(n);
}
function Se(e, t = {}) {
  const n = Ct.encode(e);
  return typeof t.size == "number" ? (q(n, { size: t.size }), N(n, { dir: "right", size: t.size })) : n;
}
function Mt(e, t) {
  return Rt(j(e, { strict: !1 }) ? Jt(e) : e);
}
class Wt extends I {
  constructor({ address: t }) {
    super(`Address "${t}" is invalid.`, {
      metaMessages: [
        "- Address must be a hex value of 20 bytes (40 hex characters).",
        "- Address must match its checksum counterpart."
      ],
      name: "InvalidAddressError"
    });
  }
}
class xe extends Map {
  constructor(t) {
    super(), Object.defineProperty(this, "maxSize", {
      enumerable: !0,
      configurable: !0,
      writable: !0,
      value: void 0
    }), this.maxSize = t;
  }
  get(t) {
    const n = super.get(t);
    return super.has(t) && n !== void 0 && (this.delete(t), super.set(t, n)), n;
  }
  set(t, n) {
    if (super.set(t, n), this.maxSize && this.size > this.maxSize) {
      const r = this.keys().next().value;
      r && this.delete(r);
    }
    return this;
  }
}
const P = /* @__PURE__ */ new xe(8192);
function $e(e, t) {
  if (P.has(`${e}.${t}`))
    return P.get(`${e}.${t}`);
  const n = e.substring(2).toLowerCase(), r = Mt(Se(n)), s = n.split("");
  for (let o = 0; o < 40; o += 2)
    r[o >> 1] >> 4 >= 8 && s[o] && (s[o] = s[o].toUpperCase()), (r[o >> 1] & 15) >= 8 && s[o + 1] && (s[o + 1] = s[o + 1].toUpperCase());
  const i = `0x${s.join("")}`;
  return P.set(`${e}.${t}`, i), i;
}
function zt(e, t) {
  if (!Pt(e, { strict: !1 }))
    throw new Wt({ address: e });
  return $e(e, t);
}
const Dt = /^0x[a-fA-F0-9]{40}$/, F = /* @__PURE__ */ new xe(8192);
function Pt(e, t) {
  const { strict: n = !0 } = t ?? {}, r = `${e}.${n}`;
  if (F.has(r))
    return F.get(r);
  const s = Dt.test(e) ? e.toLowerCase() === e ? !0 : n ? $e(e) === e : !0 : !1;
  return F.set(r, s), s;
}
class S extends I {
  constructor(t) {
    const { docsPath: n, field: r, metaMessages: s } = t;
    super(`Invalid Sign-In with Ethereum message field "${r}".`, {
      docsPath: n,
      metaMessages: s,
      name: "SiweInvalidMessageFieldError"
    });
  }
}
function he(e) {
  if (/[^a-z0-9\:\/\?\#\[\]\@\!\$\&\'\(\)\*\+\,\;\=\.\-\_\~\%]/i.test(e) || /%[^0-9a-f]/i.test(e) || /%[0-9a-f](:?[^0-9a-f]|$)/i.test(e))
    return !1;
  const t = Ft(e), n = t[1], r = t[2], s = t[3], i = t[4], o = t[5];
  if (!(n != null && n.length && s.length >= 0))
    return !1;
  if (r != null && r.length) {
    if (!(s.length === 0 || /^\//.test(s)))
      return !1;
  } else if (/^\/\//.test(s))
    return !1;
  if (!/^[a-z][a-z0-9\+\-\.]*$/.test(n.toLowerCase()))
    return !1;
  let c = "";
  return c += `${n}:`, r != null && r.length && (c += `//${r}`), c += s, i != null && i.length && (c += `?${i}`), o != null && o.length && (c += `#${o}`), c;
}
function Ft(e) {
  return e.match(/(?:([^:\/?#]+):)?(?:\/\/([^\/?#]*))?([^?#]*)(?:\?([^#]*))?(?:#(.*))?/);
}
function Bt(e) {
  const { chainId: t, domain: n, expirationTime: r, issuedAt: s = /* @__PURE__ */ new Date(), nonce: i, notBefore: o, requestId: c, resources: u, scheme: h, uri: g, version: b } = e;
  {
    if (t !== Math.floor(t))
      throw new S({
        field: "chainId",
        metaMessages: [
          "- Chain ID must be a EIP-155 chain ID.",
          "- See https://eips.ethereum.org/EIPS/eip-155",
          "",
          `Provided value: ${t}`
        ]
      });
    if (!(Vt.test(n) || Kt.test(n) || Ht.test(n)))
      throw new S({
        field: "domain",
        metaMessages: [
          "- Domain must be an RFC 3986 authority.",
          "- See https://www.rfc-editor.org/rfc/rfc3986",
          "",
          `Provided value: ${n}`
        ]
      });
    if (!jt.test(i))
      throw new S({
        field: "nonce",
        metaMessages: [
          "- Nonce must be at least 8 characters.",
          "- Nonce must be alphanumeric.",
          "",
          `Provided value: ${i}`
        ]
      });
    if (!he(g))
      throw new S({
        field: "uri",
        metaMessages: [
          "- URI must be a RFC 3986 URI referring to the resource that is the subject of the signing.",
          "- See https://www.rfc-editor.org/rfc/rfc3986",
          "",
          `Provided value: ${g}`
        ]
      });
    if (b !== "1")
      throw new S({
        field: "version",
        metaMessages: [
          "- Version must be '1'.",
          "",
          `Provided value: ${b}`
        ]
      });
    if (h && !qt.test(h))
      throw new S({
        field: "scheme",
        metaMessages: [
          "- Scheme must be an RFC 3986 URI scheme.",
          "- See https://www.rfc-editor.org/rfc/rfc3986#section-3.1",
          "",
          `Provided value: ${h}`
        ]
      });
    const w = e.statement;
    if (w != null && w.includes(`
`))
      throw new S({
        field: "statement",
        metaMessages: [
          "- Statement must not include '\\n'.",
          "",
          `Provided value: ${w}`
        ]
      });
  }
  const A = zt(e.address), l = h ? `${h}://${n}` : n, O = e.statement ? `${e.statement}
` : "", C = `${l} wants you to sign in with your Ethereum account:
${A}

${O}`;
  let E = `URI: ${g}
Version: ${b}
Chain ID: ${t}
Nonce: ${i}
Issued At: ${s.toISOString()}`;
  if (r && (E += `
Expiration Time: ${r.toISOString()}`), o && (E += `
Not Before: ${o.toISOString()}`), c && (E += `
Request ID: ${c}`), u) {
    let w = `
Resources:`;
    for (const p of u) {
      if (!he(p))
        throw new S({
          field: "resources",
          metaMessages: [
            "- Every resource must be a RFC 3986 URI.",
            "- See https://www.rfc-editor.org/rfc/rfc3986",
            "",
            `Provided value: ${p}`
          ]
        });
      w += `
- ${p}`;
    }
    E += w;
  }
  return `${C}
${E}`;
}
const Vt = /^([a-zA-Z0-9]([a-zA-Z0-9\-]{0,61}[a-zA-Z0-9])?\.)+[a-zA-Z]{2,}(:[0-9]{1,5})?$/, Kt = /^(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\.(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\.(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\.(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)(:[0-9]{1,5})?$/, Ht = /^localhost(:[0-9]{1,5})?$/, jt = /^[a-zA-Z0-9]{8,}$/, qt = /^([a-zA-Z][a-zA-Z0-9+-.]*)$/, Gt = (e, t, n, r) => {
  const s = window.location.host, i = window.location.origin, o = new Date(Date.now() + 10 * 60 * 1e3);
  return Bt({
    domain: s,
    address: e,
    statement: r ?? "Sign In to Kleros with Ethereum.",
    uri: i,
    version: "1",
    chainId: n,
    nonce: t,
    expirationTime: o
  });
}, Xt = T`
  mutation AddUser($settings: AddUserSettingsDto!) {
    addUser(addUserSettings: $settings)
  }
`;
async function Zt(e, t) {
  const n = {
    settings: t
  };
  return e.request(Xt, n).then(async (r) => r.addUser).catch((r) => {
    var i, o;
    console.log("Add User error:", { errors: r });
    const s = (o = (i = r == null ? void 0 : r.response) == null ? void 0 : i.errors) == null ? void 0 : o[0];
    throw s ? new V(s == null ? void 0 : s.message, { ...s }) : new Error("Unknown Error");
  });
}
const Yt = T`
  query GetUser {
    user {
      email
      isEmailVerified
      emailUpdateableAt
    }
  }
`;
async function Qt(e) {
  return e.request(Yt).then((t) => t.user).catch((t) => {
    var r, s;
    console.log("Error fetching user :", { errors: t });
    const n = Array.isArray((r = t == null ? void 0 : t.response) == null ? void 0 : r.errors) ? (s = t.response.errors[0]) == null ? void 0 : s.message : "Error fetching user";
    throw Error(n);
  });
}
const en = T`
  mutation UpdateEmail($newEmail: String!) {
    updateEmail(newEmail: $newEmail)
  }
`;
async function tn(e, t) {
  const n = t;
  return e.request(en, n).then(async (r) => r.updateEmail).catch((r) => {
    var i, o;
    console.log("Update Email error:", { errors: r });
    const s = (o = (i = r == null ? void 0 : r.response) == null ? void 0 : i.errors) == null ? void 0 : o[0];
    throw s ? new V(s == null ? void 0 : s.message, { ...s }) : new Error("Unknown Error");
  });
}
const nn = T`
  mutation ConfirmEmail($address: Address!, $token: String!) {
    confirmEmail(confirmEmailInput: { address: $address, token: $token }) {
      isConfirmed
      isTokenExpired
      isTokenInvalid
    }
  }
`;
async function rn(e, t) {
  const n = t;
  return e.request(nn, n).then(async (r) => r.confirmEmail).catch((r) => {
    throw console.log("Confirm Email error:", { errors: r }), new Error("Unable to verify.");
  });
}
async function sn(e, t) {
  const n = new FormData();
  return n.append("file", t.file, t.name), n.append("name", t.name), n.append("product", t.product), n.append("role", t.role), fetch(`${e.baseUrl}/ipfs/file`, {
    method: "POST",
    headers: {
      authorization: `Bearer ${e.authToken}`
    },
    body: n
  }).then(async (r) => {
    if (!r.ok) {
      const s = await r.json().catch(() => ({ message: "Error uploading to IPFS" }));
      throw r.status === 401 ? new _e(s.message) : new Error(s.message);
    }
    return await r.text();
  });
}
class _e extends Error {
  constructor(t) {
    super(t), this.name = "AuthorizationError", Error.captureStackTrace && Error.captureStackTrace(this, this.constructor);
  }
}
var on = /* @__PURE__ */ ((e) => (e.CourtV1 = "CourtV1", e.CourtV2 = "CourtV2", e.Curate = "Curate", e.Escrow = "Escrow", e.Governor = "Governor", e.ProofOfHumanity = "ProofOfHumanity", e.Reality = "Reality", e.Test = "Test", e))(on || {}), cn = /* @__PURE__ */ ((e) => (e.Evidence = "evidence", e.Generic = "generic", e.IdentificationVideo = "identification-video", e.CurateItemImage = "curate-item-image", e.CurateItemFile = "curate-item-file", e.Logo = "logo", e.MetaEvidence = "meta-evidence", e.Photo = "photo", e.Policy = "policy", e.Test = "test", e))(cn || {});
const B = (e) => typeof e > "u" || e === null;
function an(e, t) {
  const [n, r] = R(() => {
    try {
      const i = window.sessionStorage.getItem(e);
      return i ? JSON.parse(i) : t;
    } catch {
      return t;
    }
  });
  return [n, (i) => {
    try {
      window.sessionStorage.setItem(e, JSON.stringify(i));
    } finally {
      r(i);
    }
  }];
}
const Re = Oe(void 0), gn = ({ children: e, config: t }) => {
  const { address: n } = Je(), r = ke(), s = ve(), [i, o] = an("authToken", void 0), [c, u] = R(!1), [h, g] = R(!1), [b, A] = R(!1), [l, O] = R(!1), [C, E] = R(!1), { signMessageAsync: w } = Ne(), p = z(() => {
    const f = i ? {
      authorization: `Bearer ${i}`
    } : void 0;
    return new Ce(`${t.uri}/graphql`, { headers: f });
  }, [i]), G = _(() => {
    var f;
    try {
      if (!i || !n) return !1;
      const a = re(i);
      return !(((f = a == null ? void 0 : a.sub) == null ? void 0 : f.toLowerCase()) !== n.toLowerCase() || a.exp && a.exp < Date.now() / 1e3);
    } catch {
      return !1;
    }
  }, [i, n]);
  D(() => {
    let f;
    const a = () => {
      const d = G();
      if (O(d), d && i)
        try {
          const W = re(i).exp * 1e3 - Date.now();
          f = setTimeout(a, Math.max(0, W));
        } catch (J) {
          console.error("Error decoding JWT:", J), O(!1);
        }
    };
    return a(), () => {
      clearTimeout(f);
    };
  }, [i, G, n]);
  const {
    data: U,
    isLoading: X,
    refetch: $
  } = Le(
    {
      queryKey: ["UserSettings"],
      enabled: l && !B(n),
      queryFn: async () => {
        try {
          return !l || B(n) ? void 0 : await Qt(p);
        } catch {
          return;
        }
      }
    },
    s
  );
  D(() => {
    l && $();
  }, [l, $]), D(() => {
    s.removeQueries({ queryKey: ["UserSettings"] });
  }, [n, s]);
  const Z = z(() => U ? !B(U.email) : !1, [U]);
  async function M(f) {
    var a;
    try {
      return await f();
    } catch (d) {
      throw (d instanceof _e || d instanceof V && ((a = d == null ? void 0 : d.extensions) == null ? void 0 : a.code) === "UNAUTHENTICATED") && O(!1), d;
    }
  }
  const Y = _(
    async (f) => {
      try {
        if (!n || !r) return;
        u(!0);
        const a = await st(p, n), d = Gt(n, a, r, f), J = await w({ message: d }), W = await nt(p, { message: d, signature: J });
        o(W);
      } catch (a) {
        throw a;
      } finally {
        u(!1);
      }
    },
    [n, r, o, w, p]
  ), Q = _(
    async (f) => {
      try {
        if (!n || !l) return !1;
        g(!0);
        const a = await M(() => Zt(p, f));
        return $(), a;
      } catch (a) {
        throw a;
      } finally {
        g(!1);
      }
    },
    [n, l, g, p, $]
  ), ee = _(
    async (f) => {
      try {
        if (!n || !l) return !1;
        A(!0);
        const a = await M(() => tn(p, f));
        return $(), a;
      } catch (a) {
        throw a;
      } finally {
        A(!1);
      }
    },
    [n, l, A, p, $]
  ), te = _(
    async (f, a) => {
      try {
        if (!n || !l || !t.uri || !i) return null;
        E(!0);
        const d = await M(
          () => sn({ baseUrl: t.uri, authToken: i }, { file: f, name: f.name, role: a, product: t.product })
        );
        return d ? `/ipfs/${d}` : null;
      } catch (d) {
        throw d;
      } finally {
        E(!1);
      }
    },
    [n, l, E, i, t.uri, t.product]
  ), ne = _(
    async (f) => {
      try {
        return A(!0), { ...await rn(p, f), isError: !1 };
      } catch (a) {
        return console.log("Confirm Email Error : ", a == null ? void 0 : a.message), { isConfirmed: !1, isTokenExpired: !1, isTokenInvalid: !1, isError: !0 };
      }
    },
    [p]
  );
  return /* @__PURE__ */ Te.createElement(
    Re.Provider,
    {
      value: z(
        () => ({
          isVerified: l,
          isSigningIn: c,
          isAddingUser: h,
          authoriseUser: Y,
          addUser: Q,
          user: U,
          isFetchingUser: X,
          updateEmail: ee,
          isUpdatingUser: b,
          userExists: Z,
          isUploadingFile: C,
          uploadFile: te,
          confirmEmail: ne
        }),
        [
          l,
          c,
          h,
          Y,
          Q,
          U,
          X,
          ee,
          b,
          Z,
          C,
          te,
          ne
        ]
      )
    },
    e
  );
}, mn = () => {
  const e = Ue(Re);
  if (!e)
    throw new Error("Context Provider not found.");
  return e;
};
export {
  gn as AtlasProvider,
  _e as AuthorizationError,
  on as Products,
  cn as Roles,
  Zt as addUser,
  rn as confirmEmail,
  Gt as createMessage,
  Qt as fetchUser,
  st as getNonce,
  nt as loginUser,
  tn as updateEmail,
  sn as uploadToIpfs,
  mn as useAtlasProvider
};
//# sourceMappingURL=kleros-app.js.map
