import { Products, Roles } from '.';
export type IpfsUploadPayload = {
    file: File;
    name: string;
    product: Products;
    role: Roles;
};
type Config = {
    baseUrl: string;
    authToken: string;
};
export declare function uploadToIpfs(config: Config, payload: IpfsUploadPayload): Promise<string | null>;
export declare class AuthorizationError extends Error {
    readonly name: "AuthorizationError";
    constructor(message: string);
}
export {};
